Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp
Class ConnectionInfo

    java.lang.Object
      |
      +--oracle.jbo.html.jsp.ConnectionInfo

public class ConnectionInfo
extends java.lang.Object

Represents the connection information used by the ApplicationPool class in order to instantiate an ApplicationModule. View implementation of ConnectionInfo

Field Summary
`static java.lang.String` | `O8I_CONNECT_STRING`
`static java.lang.String` | `SET_APP_MODULE`
`static java.lang.String` | `SET_APP_PATH`
`static java.lang.String` | `SET_CONNECT_MODE`
`static java.lang.String` | `SET_CONNECT_TYPE_8I_CORBA`
`static java.lang.String` | `SET_CONNECT_TYPE_8I_EJB`
`static java.lang.String` | `SET_CONNECT_TYPE_LOCAL`
`static java.lang.String` | `SET_CONNECT_TYPE_OAS_EJB`
`static java.lang.String` | `SET_CONNECT_TYPE_VB_BINDING`
`static java.lang.String` | `SET_CONNECT_TYPE_VB_COLOCATE`
`static java.lang.String` | `SET_CONNECT_TYPE_VB_NAMING`
`static java.lang.String` | `SET_CONNECTION_NAME`
`static java.lang.String` | `SET_DAD_NAME`
`static java.lang.String` | `SET_HOST_NAME`
`static java.lang.String` | `SET_JNDI_PATH`
`static java.lang.String` | `SET_PASSWORD`
`static java.lang.String` | `SET_POOL_CLASS`
`static java.lang.String` | `SET_USERNAME`

Constructor Summary
`ConnectionInfo()` Constructor
`ConnectionInfo(java.util.Hashtable props)` This constructor provides a convenient way to initialize the ConnectionInfo's variables by providing a Hashtable with the values for the various properties.

Method Summary
`java.lang.String` | `getAppModuleClass()` Returns the Class name of the Application Module represented by the ConnectionInfo class.
`java.lang.String` | `getConnectionName()` Returns the connection name
`java.util.Hashtable` | `getConnectionSettings()` Retrieves the Hashtable that contains all the connection parameters being used to instanciate an application module.
`java.lang.String` | `getConnectionType()` Returns the current value of connection type.
`java.lang.String` | `getConnectionUrl()` Returns the connection URL
`java.lang.String` | `getJndiPath()` Returns the Jndi path
`java.lang.String` | `getPassword()` Returns the current password.
`java.lang.String` | `getPoolClass()` Returns the Class name used for the ApplicationPool
`java.lang.String` | `getUserName()`
`void` | `initializeConnectionSettings()` This function should be called after setting values for the ConnectionName,ConnectionType and Password properties.
`void` | `initializeFromConnectionName(java.lang.String sConnectionName)`
`static void` | `populateHashTableWithOasRemoteConnectionInfo(java.util.Hashtable env, java.lang.String sRemoteConnectionName, java.lang.String sPassword, java.lang.String sJndiPath)` This is an internal function that populates a Hashtable with the HTTP connection information.
`static void` | `populateHashTableWithRemoteConnectionInfo(java.util.Hashtable env, java.lang.String sRemoteConnectionName, java.lang.String sPassword, java.lang.String sJndiPath)`
`void` | `setAppModuleClass(java.lang.String sClass)` Provides the Class name of the Application Module to be connected to.
`void` | `setConnectionName(java.lang.String sName)` Assigns the connection name.
`void` | `setConnectionSettings(java.util.Hashtable settings)` Sets the connection settings to be used for instanciating and Application Module.
`void` | `setConnectionType(java.lang.String sType)` Sets up the connection type.
`void` | `setConnectionUrl(java.lang.String sUrl)` Sets the connection URL to be used by the Application Module.
`void` | `setJndiPath(java.lang.String sPath)` Provides the Jndi Path required when connecting to an ApplicationModule deployed to Oracle 8i as an EJB or Corba object.
`void` | `setPassword(java.lang.String sPassword)` Provides the password.
`void` | `setPoolClass(java.lang.String sClass)` Provides the Class name for the Class that implements the ApplicationPool interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### O8I_CONNECT_STRING

    public static final java.lang.String O8I_CONNECT_STRING

### SET_CONNECT_MODE

    public static final java.lang.String SET_CONNECT_MODE

### SET_CONNECTION_NAME

    public static final java.lang.String SET_CONNECTION_NAME

### SET_PASSWORD

    public static final java.lang.String SET_PASSWORD

### SET_USERNAME

    public static final java.lang.String SET_USERNAME

### SET_JNDI_PATH

    public static final java.lang.String SET_JNDI_PATH

### SET_APP_MODULE

    public static final java.lang.String SET_APP_MODULE

### SET_POOL_CLASS

    public static final java.lang.String SET_POOL_CLASS

### SET_APP_PATH

    public static final java.lang.String SET_APP_PATH

### SET_HOST_NAME

    public static final java.lang.String SET_HOST_NAME

### SET_DAD_NAME

    public static final java.lang.String SET_DAD_NAME

### SET_CONNECT_TYPE_LOCAL

    public static final java.lang.String SET_CONNECT_TYPE_LOCAL

### SET_CONNECT_TYPE_8I_CORBA

    public static final java.lang.String SET_CONNECT_TYPE_8I_CORBA

### SET_CONNECT_TYPE_8I_EJB

    public static final java.lang.String SET_CONNECT_TYPE_8I_EJB

### SET_CONNECT_TYPE_VB_NAMING

    public static final java.lang.String SET_CONNECT_TYPE_VB_NAMING

### SET_CONNECT_TYPE_VB_BINDING

    public static final java.lang.String SET_CONNECT_TYPE_VB_BINDING

### SET_CONNECT_TYPE_VB_COLOCATE

    public static final java.lang.String SET_CONNECT_TYPE_VB_COLOCATE

### SET_CONNECT_TYPE_OAS_EJB

    public static final java.lang.String SET_CONNECT_TYPE_OAS_EJB

Constructor Detail

### ConnectionInfo

    public ConnectionInfo()

  Constructor

### ConnectionInfo

    public ConnectionInfo(java.util.Hashtable props)

        This constructor provides a convenient way to initialize the ConnectionInfo's variables by
        providing a Hashtable with the values for the various properties. The expected name/value pairs
        are:

          ConnectionInfo.SET_CONNECT_MODE  - This can be Local, 8i or EJB
          ConnectionInfo.SET_CONNECTION_NAME - The named connection to be used for getting the
                                               connection information.
          ConnectionInfo.SET_PASSWORD         - The password to be used in the connection URL
          ConnectionInfo.SET_USERNAME         - The user name to be used in the connection URL
          ConnectionInfo.SET_JNDI_PATH        - The JndiPath to be used (If applicable to the connection type)
          ConnectionInfo.SET_APP_MODULE       - The Class name for the application module to be instantiated
          ConnectionInfo.SET_POOL_CLASS       - The Class name of the class to use instead of the default
                                               ApplicationPool implementation class.
          ConnectionInfo.SET_APP_PATH         - application path ( maps to JboContext.APPLICATION_PATH)

         Here is a sample initialization of some of the parameters:

          Hashtable ht = new Hashtable(10);

          ht.put(ConnectionInfo.SET_CONNECT_MODE , ConnectionInfo.SET_CONNECT_TYPE_LOCAL);
          ht.put(ConnectionInfo.SET_CONNECTION_NAME, "Connection1");
          ht.put(ConnectionInfo.SET_APP_MODULE , "package1.Package1Module");

Method Detail

### getUserName

    public java.lang.String getUserName()

### initializeConnectionSettings

    public void initializeConnectionSettings()

  This function should be called after setting values for the ConnectionName,ConnectionType and Password properties. It parses the connection information and generates the connection URL. If you are setting the connection URL directly, don't call this function or it will erase your current setting.

### setPoolClass

    public void setPoolClass(java.lang.String sClass)

  Provides the Class name for the Class that implements the ApplicationPool interface. If you application requires a specialization of the ApplicationPool interface, derive your class from the ApplicationPoolImpl class or implement the ApplicationPool interface in your new class. You can then assing you class name to the connectinfo prior to creating the named pool.

### getPoolClass

    public java.lang.String getPoolClass()

  Returns the Class name used for the ApplicationPool

### setConnectionType

    public void setConnectionType(java.lang.String sType)

  Sets up the connection type. It should be one of the folowing settings:

        ConnectionInfo.SET_CONNECT_TYPE_LOCAL
        ConnectionInfo.SET_CONNECT_TYPE_8I_CORBA
        ConnectionInfo.SET_CONNECT_TYPE_8I_EJB

### getConnectionType

    public java.lang.String getConnectionType()

  Returns the current value of connection type.

### setConnectionName

    public void setConnectionName(java.lang.String sName)

  Assigns the connection name. The name must refer to a connection defined in the connections.properties file. You must make sure you deploy the connections.properties file as part of your application's classes.

### getConnectionName

    public java.lang.String getConnectionName()

  Returns the connection name

### getConnectionSettings

    public java.util.Hashtable getConnectionSettings()

  Retrieves the Hashtable that contains all the connection parameters being used to instanciate an application module.

### setConnectionSettings

    public void setConnectionSettings(java.util.Hashtable settings)

  Sets the connection settings to be used for instanciating and Application Module. Please look at the implementation of the initializeConnectionSettings() method for a sample usage.

### getAppModuleClass

    public java.lang.String getAppModuleClass()

  Returns the Class name of the Application Module represented by the ConnectionInfo class.

### setAppModuleClass

    public void setAppModuleClass(java.lang.String sClass)

  Provides the Class name of the Application Module to be connected to.

### getConnectionUrl

    public java.lang.String getConnectionUrl()

  Returns the connection URL

### setConnectionUrl

    public void setConnectionUrl(java.lang.String sUrl)

  Sets the connection URL to be used by the Application Module. This URL is passed the the ApplicationModule.connect() call.

### setPassword

    public void setPassword(java.lang.String sPassword)

  Provides the password. If you provided a connection URL, it must contain the password as part of it. This function should only be used if you are using the ConnectionName approach for initializing the connection string.

### getPassword

    public java.lang.String getPassword()

  Returns the current password.

### setJndiPath

    public void setJndiPath(java.lang.String sPath)

  Provides the Jndi Path required when connecting to an ApplicationModule deployed to Oracle 8i as an EJB or Corba object.

### getJndiPath

    public java.lang.String getJndiPath()

  Returns the Jndi path

### initializeFromConnectionName

    public void initializeFromConnectionName(java.lang.String sConnectionName)

### populateHashTableWithOasRemoteConnectionInfo

    public static void populateHashTableWithOasRemoteConnectionInfo(java.util.Hashtable env,
                                                                    java.lang.String sRemoteConnectionName,
                                                                    java.lang.String sPassword,
                                                                    java.lang.String sJndiPath)

  This is an internal function that populates a Hashtable with the HTTP connection information.

### populateHashTableWithRemoteConnectionInfo

    public static void populateHashTableWithRemoteConnectionInfo(java.util.Hashtable env,
                                                                 java.lang.String sRemoteConnectionName,
                                                                 java.lang.String sPassword,
                                                                 java.lang.String sJndiPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD